Subject: 07 Tools Steel Source Wanted

From: [email-masked] (Lawrence Schultz)
Date: 9 Feb 1995 13:33:18 GMT

I'm looking for a source of short lengths (~36") of 07 tools steel flat stock.
Most supply houses want me to purchase 10 foot lengths of stock because 07 is
not a commonly stocked item. Any pointers will be appreciated.

Larry Schultz